CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 7 and 7.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
4451 CVE-2019-1010161 347 Bypass 2019-07-25 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
perl-CRYPT-JWT 0.022 and earlier is affected by: Incorrect Access Control. The impact is: bypass authentication. The component is: JWT.pm for JWT security token, line 614 in _decode_jws(). The attack vector is: network connectivity(crafting user-controlled input to bypass authentication). The fixed version is: 0.023.
4452 CVE-2019-1010153 89 Sql 2019-07-23 2019-07-24
7.5
None Remote Low Not required Partial Partial Partial
zzcms 8.3 and earlier is affected by: SQL Injection. The impact is: sql inject. The component is: zs/subzs.php.
4453 CVE-2019-1010152 20 Exec Code 2019-07-23 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
zzcms 8.3 and earlier is affected by: File Delete to Code Execution. The impact is: getshell. The component is: user/manage.php line 31-80.
4454 CVE-2019-1010151 22 Dir. Trav. 2019-07-19 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
zzcms zzmcms 8.3 and earlier is affected by: File Delete to getshell. The impact is: getshell. The component is: /user/ppsave.php.
4455 CVE-2019-1010150 20 Exec Code 2019-07-23 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
zzcms 8.3 and earlier is affected by: File Delete to Code Execution. The impact is: getshell. The component is: /user/zssave.php.
4456 CVE-2019-1010149 20 Exec Code 2019-07-23 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
zzcms version 8.3 and earlier is affected by: File Delete to Code Execution. The impact is: zzcms File Delete to Code Execution. The component is: user/licence_save.php.
4457 CVE-2019-1010148 89 Exec Code Sql 2019-07-23 2019-07-24
7.5
None Remote Low Not required Partial Partial Partial
zzcms version 8.3 and earlier is affected by: SQL Injection. The impact is: zzcms File Delete to Code Execution.
4458 CVE-2019-1010136 306 2019-07-19 2020-08-24
7.8
None Remote Low Not required None None Complete
ChinaMobile GPN2.4P21-C-CN W2001EN-00 is affected by: Incorrect Access Control - Unauthenticated Remote Reboot. The impact is: PLC Wireless Router's are vulnerable to an unauthenticated remote reboot due. The component is: Reboot settings are available to unauthenticated users instead of only authenticaed users. The attack vector is: Remote.
4459 CVE-2019-1010104 89 Sql 2019-07-18 2019-07-23
7.5
None Remote Low Not required Partial Partial Partial
TechyTalk Quick Chat WordPress Plugin All up to the latest is affected by: SQL Injection. The impact is: Access to the database. The component is: like_escape is used in Quick-chat.php line 399. The attack vector is: Crafted ajax request.
4460 CVE-2019-1010101 732 Exec Code 2019-07-19 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
Akeo Consulting Rufus 3.0 and earlier is affected by: Insecure Permissions. The impact is: arbitrary code execution with escalation of privilege. The component is: Executable installer, portable executable (ALL executables available). The attack vector is: CWE-29, CWE-377, CWE-379.
4461 CVE-2019-1010062 434 2019-07-16 2019-10-09
7.5
None Remote Low Not required Partial Partial Partial
PluckCMS 4.7.4 and earlier is affected by: CWE-434 Unrestricted Upload of File with Dangerous Type. The impact is: get webshell. The component is: data/inc/images.php line36. The attack vector is: modify the MIME TYPE on HTTP request to upload a php file. The fixed version is: after commit 09f0ab871bf633973cfd9fc4fe59d4a912397cf8.
4462 CVE-2019-1010060 119 Exec Code Overflow 2019-07-16 2019-07-22
7.5
None Remote Low Not required Partial Partial Partial
NASA CFITSIO prior to 3.43 is affected by: Buffer Overflow. The impact is: arbitrary code execution. The component is: over 40 source code files were changed. The attack vector is: remote unauthenticated attacker. The fixed version is: 3.43. NOTE: this CVE refers to the issues not covered by CVE-2018-3846, CVE-2018-3847, CVE-2018-3848, and CVE-2018-3849. One example is ftp_status in drvrnet.c mishandling a long string beginning with a '4' character.
4463 CVE-2019-1010044 119 DoS Exec Code Overflow 2019-07-15 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
borg-reducer c6d5240 is affected by: Buffer Overflow. The impact is: Possible code execution and denial of service. The component is: Output parameter within the executable.
4464 CVE-2019-1010043 119 DoS Exec Code Overflow 2019-07-16 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
Quake3e < 5ed740d is affected by: Buffer Overflow. The impact is: Possible code execution and denial of service. The component is: Argument string creation.
4465 CVE-2019-1010039 119 DoS Exec Code Overflow 2019-07-15 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
uLaunchELF < commit 170827a is affected by: Buffer Overflow. The impact is: Possible code execution and denial of service. The component is: Loader program (loader.c) overly trusts the arguments provided via command line.
4466 CVE-2019-1010038 119 DoS Exec Code Overflow 2019-07-15 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
OpenModelica OMCompiler is affected by: Buffer Overflow. The impact is: Possible code execution and denial of service. The component is: OPENMODELICAHOME parameter changeable via environment variable. The attack vector is: Changing an environment variable.
4467 CVE-2019-1010022 119 Overflow Bypass 2019-07-15 2021-06-10
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** GNU Libc current is affected by: Mitigation bypass. The impact is: Attacker may bypass stack guard protection. The component is: nptl. The attack vector is: Exploit stack buffer overflow vulnerability and use this bypass vulnerability to bypass stack guard. NOTE: Upstream comments indicate "this is being treated as a non-security bug and no real threat."
4468 CVE-2019-1010009 732 2019-07-15 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
DGLogik Inc DGLux Server All Versions is affected by: Insecure Permissions. The impact is: Remote Execution, Credential Leaks. The component is: IoT API. The attack vector is: Any Accessible Server.
4469 CVE-2019-1003041 470 Bypass 2019-03-28 2020-09-30
7.5
None Remote Low Not required Partial Partial Partial
A sandbox bypass vulnerability in Jenkins Pipeline: Groovy Plugin 2.64 and earlier allows attackers to invoke arbitrary constructors in sandboxed scripts.
4470 CVE-2019-1003040 470 Bypass 2019-03-28 2020-09-30
7.5
None Remote Low Not required Partial Partial Partial
A sandbox bypass vulnerability in Jenkins Script Security Plugin 1.55 and earlier allows attackers to invoke arbitrary constructors in sandboxed scripts.
4471 CVE-2019-1000023 89 Exec Code Sql 2019-02-04 2019-02-06
7.5
None Remote Low Not required Partial Partial Partial
OPT/NET BV OPTOSS Next Gen Network Management System (NG-NetMS) version v3.6-2 and earlier versions contains a SQL Injection vulnerability in Identified vulnerable parameters: id, id_access_type and id_attr_access that can result in a malicious attacker can include own SQL commands which database will execute. This attack appears to be exploitable via network connectivity.
4472 CVE-2019-1000006 119 Overflow 2019-02-04 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
RIOT RIOT-OS version after commit 7af03ab624db0412c727eed9ab7630a5282e2fd3 contains a Buffer Overflow vulnerability in sock_dns, an implementation of the DNS protocol utilizing the RIOT sock API that can result in Remote code executing. This attack appears to be exploitable via network connectivity.
4473 CVE-2019-25044 416 Exec Code 2021-05-14 2021-06-29
7.2
None Local Low Not required Complete Complete Complete
The block subsystem in the Linux kernel before 5.2 has a use-after-free that can lead to arbitrary code execution in the kernel context and privilege escalation, aka CID-c3e2219216c9. This is related to blk_mq_free_rqs and blk_cleanup_queue.
4474 CVE-2019-25042 787 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an out-of-bounds write via a compressed name in rdata_copy. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4475 CVE-2019-25039 190 Overflow 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in a size calculation in respip/respip.c. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4476 CVE-2019-25038 190 Overflow 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in a size calculation in dnscrypt/dnscrypt.c. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4477 CVE-2019-25035 787 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an out-of-bounds write in sldns_bget_token_par. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4478 CVE-2019-25034 190 Overflow 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in sldns_str2wire_dname_buf_origin, leading to an out-of-bounds write. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4479 CVE-2019-25033 190 Overflow 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in the regional allocator via the ALIGN_UP macro. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4480 CVE-2019-25032 190 Overflow 2021-04-27 2021-12-03
7.5
None Remote Low Not required Partial Partial Partial
** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in the regional allocator via regional_alloc. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.
4481 CVE-2019-25022 94 Exec Code 2021-02-27 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Scytl sVote 2.1. An attacker can inject code that gets executed by creating an election-event and injecting a payload over an event alias, because the application calls Runtime.getRuntime().exec() without validation.
4482 CVE-2019-25019 89 Sql 2021-02-14 2021-06-04
7.5
None Remote Low Not required Partial Partial Partial
LimeSurvey before 4.0.0-RC4 allows SQL injection via the participant model.
4483 CVE-2019-25013 125 2021-01-04 2021-07-06
7.1
None Remote Medium Not required None None Complete
The iconv feature in the GNU C Library (aka glibc or libc6) through 2.32, when processing invalid multi-byte input sequences in the EUC-KR encoding, may have a buffer over-read.
4484 CVE-2019-25010 843 2020-12-31 2021-01-06
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in the failure crate through 2019-11-13 for Rust. Type confusion can occur when __private_get_type_id__ is overridden.
4485 CVE-2019-25009 415 2020-12-31 2021-01-06
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in the http crate before 0.1.20 for Rust. The HeaderMap::Drain API can use a raw pointer, defeating soundness.
4486 CVE-2019-25004 2020-12-31 2021-01-06
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in the flatbuffers crate before 0.6.1 for Rust. Arbitrary bytes can be reinterpreted as a bool, defeating soundness.
4487 CVE-2019-25002 2020-12-31 2021-01-14
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in the sodiumoxide crate before 0.2.5 for Rust. generichash::Digest::eq compares itself to itself and thus has degenerate security properties.
4488 CVE-2019-20933 287 Bypass 2020-11-19 2021-01-02
7.5
None Remote Low Not required Partial Partial Partial
InfluxDB before 1.7.6 has an authentication bypass vulnerability in the authenticate function in services/httpd/handler.go because a JWT token may have an empty SharedSecret (aka shared secret).
4489 CVE-2019-20922 835 DoS 2020-09-30 2021-07-21
7.8
None Remote Low Not required None None Complete
Handlebars before 4.4.5 allows Regular Expression Denial of Service (ReDoS) because of eager matching. The parser may be forced into an endless loop while processing crafted templates. This may allow attackers to exhaust system resources.
4490 CVE-2019-20914 476 2020-07-16 2020-07-22
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in GNU LibreDWG through 0.9.3. There is a NULL pointer dereference in the function dwg_encode_common_entity_handle_data in common_entity_handle_data.spec.
4491 CVE-2019-20896 89 Sql 2020-07-07 2020-07-09
7.5
None Remote Low Not required Partial Partial Partial
WebChess 1.0 allows SQL injection via the messageFrom, gameID, opponent, messageID, or to parameter.
4492 CVE-2019-20881 522 2020-06-19 2021-07-21
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Mattermost Server before 5.8.0. It mishandles brute-force attacks against MFA.
4493 CVE-2019-20856 427 2020-06-19 2021-09-08
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Mattermost Desktop App before 4.3.0 on macOS. It allows dylib injection.
4494 CVE-2019-20853 668 Exec Code 2020-06-19 2020-06-30
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Mattermost Packages before 5.16.3. A Droplet could allow Internet access to a service that has a remote code execution problem.
4495 CVE-2019-20830 787 2020-06-04 2020-06-05
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Foxit Reader and PhantomPDF before 9.6. It has an out-of-bounds write when Internet Explorer is used.
4496 CVE-2019-20827 787 2020-06-04 2020-06-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Foxit PhantomPDF Mac 3.3 and Foxit Reader for Mac before 3.3. It allows stack consumption because of interaction between ICC-Based color space and Alternate color space.
4497 CVE-2019-20825 787 2020-06-04 2020-06-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Foxit PhantomPDF before 8.3.11. It has an out-of-bounds write when Internet Explorer is used.
4498 CVE-2019-20822 787 2020-06-04 2020-06-10
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in the 3D Plugin Beta for Foxit Reader and PhantomPDF before 9.7.0.29430. It has an out-of-bounds write via incorrect image data.
4499 CVE-2019-20800 787 2020-05-18 2020-12-23
7.5
None Remote Low Not required Partial Partial Partial
In Cherokee through 1.2.104, remote attackers can trigger an out-of-bounds write in cherokee_handler_cgi_add_env_pair in handler_cgi.c by sending many request headers, as demonstrated by a GET request with many "Host: 127.0.0.1" headers.
4500 CVE-2019-20791 787 Overflow 2020-04-28 2020-05-01
7.5
None Remote Low Not required Partial Partial Partial
OpenThread before 2019-12-13 has a stack-based buffer overflow in MeshCoP::Commissioner::GeneratePskc.
Total number of vulnerabilities : 32999   Page : 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 (This Page)91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.